'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TriangleArrow = function (_Component) {
  _inherits(TriangleArrow, _Component);

  function TriangleArrow() {
    _classCallCheck(this, TriangleArrow);

    return _possibleConstructorReturn(this, (TriangleArrow.__proto__ || Object.getPrototypeOf(TriangleArrow)).apply(this, arguments));
  }

  _createClass(TriangleArrow, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          border = _props.border,
          width = _props.width,
          boxShadow = _props.boxShadow,
          wrapperStyle = _props.wrapperStyle;

      var frontStyle = Object.assign({}, styles.shadow, { boxShadow: boxShadow, border: border });
      var backStyle = Object.assign({}, styles.mask, {});

      return _react2.default.createElement(
        'div',
        { style: wrapperStyle },
        _react2.default.createElement('div', { style: backStyle }),
        _react2.default.createElement('div', { style: frontStyle })
      );
    }
  }]);

  return TriangleArrow;
}(_react.Component);

TriangleArrow.defaultProps = {
  wrapperStyle: {
    position: 'absolute'
  },
  border: '1px solid #e6e6e6',
  width: 14,
  boxShadow: '0 0 5px 1px rgba(0,0,0,.0975)'
};


var styles = {
  shadow: {
    position: 'absolute',
    background: '#fff',
    border: '1px solid #e6e6e6',
    boxShadow: '0 0 5px 1px rgba(0,0,0,.0975)',
    height: '14px',
    left: '4px',
    top: '8px',
    transform: 'rotate(45deg)',
    width: '14px',
    zIndex: -1
  },
  mask: {
    position: 'absolute',
    borderColor: 'transparent transparent #fff',
    borderStyle: 'solid',
    borderWidth: '0 10px 10px',
    height: 0,
    top: '6px',
    left: '2px',
    width: 0,
    zIndex: 1
  }
};

exports.default = TriangleArrow;